/**
 * SECTION:dep-info
 * @short_description: Information about a shared resource
 * 
 * <para>Dependency objects carry information about shared resources or external requirements which many applications might need. Dependencies can be satisfied using native distro packages (installed by PackageKit) or by using some other methods, for example installing a feed. A Dependency object carries all information which caracterizes a dependency and it&apos;s state.</para>
 */
/**
 * LISTALLER_IPK_TYPE_DEPENDENCY:
 * 
 * The type for <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link>.
 */
/**
 * listaller_ipk_dependency_get_installdata:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_get_installdata_as_string:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_has_installdata:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_regenerate_depid:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_add_component:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_add_component_list:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_has_component:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_has_components:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_has_feed:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_get_install_dir_for_setting:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 */
/**
 * listaller_ipk_dependency_build_pk_package_id:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance
 * 
 * Generate a PackageKit package-id for this dependency information
 */
/**
 * ListallerIPKDependency:full-name:
 */
/**
 * listaller_ipk_dependency_get_full_name:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--full-name"><type>"full-name"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--full-name"><type>"full-name"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_full_name:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--full-name"><type>"full-name"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--full-name"><type>"full-name"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:summary:
 */
/**
 * listaller_ipk_dependency_get_summary:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--summary"><type>"summary"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--summary"><type>"summary"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_summary:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--summary"><type>"summary"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--summary"><type>"summary"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:description:
 */
/**
 * listaller_ipk_dependency_get_description:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--description"><type>"description"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--description"><type>"description"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_description:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--description"><type>"description"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--description"><type>"description"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:homepage:
 */
/**
 * listaller_ipk_dependency_get_homepage:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--homepage"><type>"homepage"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--homepage"><type>"homepage"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_homepage:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--homepage"><type>"homepage"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--homepage"><type>"homepage"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:author:
 */
/**
 * listaller_ipk_dependency_get_author:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--author"><type>"author"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--author"><type>"author"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_author:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--author"><type>"author"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--author"><type>"author"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:version:
 */
/**
 * listaller_ipk_dependency_get_version:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--version"><type>"version"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--version"><type>"version"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_version:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--version"><type>"version"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--version"><type>"version"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:origin:
 */
/**
 * listaller_ipk_dependency_get_origin:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--origin"><type>"origin"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--origin"><type>"origin"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_origin:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--origin"><type>"origin"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--origin"><type>"origin"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:satisfied:
 */
/**
 * listaller_ipk_dependency_get_satisfied:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--satisfied"><type>"satisfied"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--satisfied"><type>"satisfied"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_satisfied:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--satisfied"><type>"satisfied"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--satisfied"><type>"satisfied"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:architecture:
 */
/**
 * listaller_ipk_dependency_get_architecture:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--architecture"><type>"architecture"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--architecture"><type>"architecture"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_architecture:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--architecture"><type>"architecture"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--architecture"><type>"architecture"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:is-standardlib:
 * 
 * Whether this dependency is always satisfied (by default), set by distribution maintainers
 */
/**
 * listaller_ipk_dependency_get_is_standardlib:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--is-standardlib"><type>"is-standardlib"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--is-standardlib"><type>"is-standardlib"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_is_standardlib:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--is-standardlib"><type>"is-standardlib"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--is-standardlib"><type>"is-standardlib"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:feed-url:
 */
/**
 * listaller_ipk_dependency_get_feed_url:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--feed-url"><type>"feed-url"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--feed-url"><type>"feed-url"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_feed_url:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--feed-url"><type>"feed-url"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--feed-url"><type>"feed-url"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:install-time:
 */
/**
 * listaller_ipk_dependency_get_install_time:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--install-time"><type>"install-time"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--install-time"><type>"install-time"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_install_time:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--install-time"><type>"install-time"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--install-time"><type>"install-time"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:environment:
 */
/**
 * listaller_ipk_dependency_get_environment:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--environment"><type>"environment"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--environment"><type>"environment"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_environment:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--environment"><type>"environment"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--environment"><type>"environment"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:idname:
 */
/**
 * listaller_ipk_dependency_get_idname:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--idname"><type>"idname"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--idname"><type>"idname"</type></link> property
 */
/**
 * listaller_ipk_dependency_set_idname:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to modify
 * @value: the new value of the <link linkend="ListallerIPKDependency--idname"><type>"idname"</type></link> property
 * 
 * Set the value of the <link linkend="ListallerIPKDependency--idname"><type>"idname"</type></link> property to @value.
 */
/**
 * ListallerIPKDependency:raw-complist:
 */
/**
 * listaller_ipk_dependency_get_raw_complist:
 * @self: the <link linkend="ListallerIPKDependency"><type>ListallerIPKDependency</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="ListallerIPKDependency--raw-complist"><type>"raw-complist"</type></link> property.
 * 
 * Returns: the value of the <link linkend="ListallerIPKDependency--raw-complist"><type>"raw-complist"</type></link> property
 */
/**
 * listaller_ipk_dependency_component_get_name:
 */
/**
 * listaller_ipk_dependency_component_get_type:
 */
/**
 * ListallerIPKDependency:
 * 
 * Information about a shared resource
 * 
 * <para>Dependency objects carry information about shared resources or external requirements which many applications might need. Dependencies can be satisfied using native distro packages (installed by PackageKit) or by using some other methods, for example installing a feed. A Dependency object carries all information which caracterizes a dependency and it&apos;s state.</para>
 */
/**
 * ListallerIPKDependencyClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="LISTALLER-IPK-TYPE-DEPENDENCY:CAPS"><literal>LISTALLER_IPK_TYPE_DEPENDENCY</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
/**
 * ListallerDepComponentType:
 */
